| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Macros | Functions
OgreSearchOps.h File Reference
`#include "OgrePlatform.h"`
`#include <unistd.h>`

## Classes
struct | _finddata_t

## Macros
#define | _A_ARCH 0x20 /* Archive file */
#define | _A_HIDDEN 0x02 /* Hidden file */
#define | _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */
#define | _A_RDONLY 0x01 /* Read only file */
#define | _A_SUBDIR 0x10 /* Subdirectory */
#define | _A_SYSTEM 0x04 /* System file */

## Functions
int | _findclose (intptr_t id)
intptr_t | _findfirst (const char *pattern, struct _finddata_t *data)
int | _findnext (intptr_t id, struct _finddata_t *data)

## Macro Definition Documentation

## ◆ _A_NORMAL

#define _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */

## ◆ _A_RDONLY

#define _A_RDONLY 0x01 /* Read only file */

## ◆ _A_HIDDEN

#define _A_HIDDEN 0x02 /* Hidden file */

## ◆ _A_SYSTEM

#define _A_SYSTEM 0x04 /* System file */

## ◆ _A_ARCH

#define _A_ARCH 0x20 /* Archive file */

## ◆ _A_SUBDIR

#define _A_SUBDIR 0x10 /* Subdirectory */

## Function Documentation

## ◆ _findfirst()

intptr_t _findfirst | ( | const char * | pattern,
|  | struct _finddata_t * | data
| ) |  |

## ◆ _findnext()

int _findnext | ( | intptr_t | id,
|  | struct _finddata_t * | data
| ) |  |

## ◆ _findclose()

int _findclose | ( | intptr_t | id | ) |